import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { RPCService } from '@loafer/ng-rpc';
import { MetaCrawler, MetaSensorItemUnit } from '@overflow/commons-typescript/model/meta';

@Injectable()
export class MetaSensorItemUnitService {

  public constructor(
    private rpcService: RPCService,
  ) {

  }

  public readAll(): Observable<MetaSensorItemUnit[]> {
    return this.rpcService.call('MetaSensorItemUnitService.readAll');
  }
}
